> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Promotion Stacks in Campaign

> This method enables you to list promotion stacks from a specified campaign.



## OpenAPI

````yaml /openapi/promotions.json get /v1/promotions/{campaignId}/stacks
openapi: 3.0.1
info:
  title: Voucherify API - Promotions
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/promotions/{campaignId}/stacks:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterCampaignId'
        name: campaignId
        in: path
        required: true
        description: Unique campaign ID.
    get:
      tags:
        - Promotions
      summary: List Promotion Stacks in Campaign
      description: >-
        This method enables you to list promotion stacks from a specified
        campaign.
      operationId: list-promotion-stacks-in-campaign
      parameters: []
      responses:
        '200':
          description: Returns a list of promotion stack objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromotionsStacksListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - id: stack_p0WhtyyDU95crobleMpRabhH
                        name: First stack
                        created_at: '2022-09-22T13:03:25.740Z'
                        campaign_id: camp_99HUWI53bVyLzPN1Fg5TBLWX
                        object: promotion_stack
                        tiers:
                          ids:
                            - promo_dJNhAEeV5sR5oPQq1UrUdnMC
                            - promo_aaAF8mVAzA0PF1igia2OC63d
                          hierarchy_mode: MANUAL
                      - id: stack_XAzn8AFR3Ks3DBPLAQxV7zHe
                        name: Second stack
                        created_at: '2022-09-22T13:03:25.903Z'
                        campaign_id: camp_99HUWI53bVyLzPN1Fg5TBLWX
                        object: promotion_stack
                        tiers:
                          ids:
                            - promo_aaAF8mVAzA0PF1igia2OC63d
                            - promo_dJNhAEeV5sR5oPQq1UrUdnMC
                          hierarchy_mode: MANUAL
                    total: 2
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - promotions
components:
  schemas:
    ParameterCampaignId:
      type: string
      example: camp_rRsfatlwN7unSeUIJDCYedal
    PromotionsStacksListResponseBody:
      title: Promotions Stacks List Response Body
      description: >-
        Response body schema for **GET** `v1/promotions/stacks` and for **GET**
        `v1/promotions/{campaignId}/stacks`.
      type: object
      properties:
        object:
          type: string
          default: list
          enum:
            - list
          description: >-
            The type of the object represented by JSON. This object stores
            information about promotion stacks in a dictionary.
        data_ref:
          type: string
          default: data
          enum:
            - data
          description: >-
            Identifies the name of the attribute that contains the array of
            promotion stack objects.
        data:
          type: array
          description: Contains array of promotion stack objects.
          items:
            $ref: '#/components/schemas/PromotionStack'
        total:
          type: integer
          minimum: 0
          description: Total number of promotion stacks.
      required:
        - object
        - data_ref
        - data
        - total
    PromotionStack:
      allOf:
        - $ref: '#/components/schemas/PromotionStackBase'
        - type: object
          properties:
            id:
              type: string
              description: Unique promotion stack ID.
            created_at:
              type: string
              format: date-time
              description: >-
                Timestamp representing the date and time when the promotion
                stack was created. The value is shown in the ISO 8601 format.
            updated_at:
              type: string
              format: date-time
              description: >-
                Timestamp representing the date and time when the promotion
                stack was updated. The value is shown in the ISO 8601 format.
            campaign_id:
              type: string
              description: Promotion stack's parent campaign's unique ID.
            object:
              type: string
              default: promotion_stack
              enum:
                - promotion_stack
              description: 'The type of the object represented by JSON. '
            category_id:
              type: string
              nullable: true
              description: Promotion stack category ID.
            categories:
              type: array
              description: Details about the category assigned to the promotion stack.
              items:
                $ref: '#/components/schemas/Category'
          required:
            - id
            - created_at
            - campaign_id
            - object
            - category_id
            - categories
    PromotionStackBase:
      title: Promotion Stack Base
      type: object
      properties:
        name:
          type: string
          description: Promotion stack name.
        tiers:
          type: object
          required:
            - ids
          description: >-
            Contains the tier configuration. A promotion stack can include up to
            30 tiers.
          properties:
            ids:
              type: array
              minItems: 1
              description: Contains the list of tiers in a pre-defined sequence.
              items:
                type: string
            hierarchy_mode:
              type: string
              default: MANUAL
              enum:
                - MANUAL
      required:
        - name
        - tiers
    Category:
      title: Category
      description: This is an object representing a category.
      type: object
      properties:
        id:
          type: string
          description: Unique category ID assigned by Voucherify.
        name:
          type: string
          description: Category name.
        hierarchy:
          type: integer
          description: >-
            Category hierarchy. Categories with lower hierarchy are processed
            before categories with higher hierarchy value.
          minimum: 0
        object:
          type: string
          default: category
          enum:
            - category
          description: >-
            The type of the object represented by the JSON. This object stores
            information about the category.
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the category was
            created. The value is shown in the ISO 8601 format.
          example: '2022-07-14T10:45:13.156Z'
          format: date-time
        updated_at:
          type: string
          example: '2022-08-16T10:52:08.094Z'
          description: >-
            Timestamp representing the date and time when the category was
            updated. The value is shown in the ISO 8601 format.
          format: date-time
      required:
        - id
        - name
        - hierarchy
        - created_at
        - object
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````